<center>
  <form method="post">
    {% csrf_token %}
    <input id="email" placeholder="email"/>
    <br>
    <input id="password" placeholder="password" type="password"/>
    <br>
    <button id="login" type="button" onclick="execute()">Login</button>
  </form>
</center>

<script src="/static/js/crypto.min.js"></script>
<script src="/static/js/jquery.js"></script>
<script src="/static/js/redirect.js"></script>
<script>

function execute()
{
  var salt = "{{salt}}"
  var email = document.getElementById("email").value
  var password = document.getElementById("password").value
  var hash = sha256(sha256(password + email) + salt);

  $.redirect("/login",
    {
      "email" : email,
      "salt"  : salt,
      "hash"  : hash,
      csrfmiddlewaretoken: document.getElementsByName("csrfmiddlewaretoken")[0].value
    });
}

$("#password").keyup(function(event)
    {
      if(event.keyCode == 13){
        $("#login").click();
      }
    });
</script>
